Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623480 - SELinux is preventing /usr/sbin/swat "read" access on nmbd.pid.
SELinux is preventing /usr/sbin/swat "read" access on nmbd.pid.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:6b02906182e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 17:29 EDT by steve mold
Modified: 2010-08-17 01:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steve mold 2010-08-11 17:29:32 EDT
Summary:

SELinux is preventing /usr/sbin/swat "read" access on nmbd.pid.

Detailed Description:

SELinux denied access requested by swat. It is not expected that this access is
required by swat and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:swat_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:nmbd_var_run_t:s0
Target Objects                nmbd.pid [ file ]
Source                        swat
Source Path                   /usr/sbin/swat
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           samba-swat-3.5.4-62.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-41.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.2.4.fc13.i686 #1 SMP Fri Jul 23
                              17:27:40 UTC 2010 i686 i686
Alert Count                   5
First Seen                    Tue 10 Aug 2010 21:22:37 BST
Last Seen                     Tue 10 Aug 2010 22:14:59 BST
Local ID                      e2b272dd-c457-4cba-839a-23c6aa06ad5b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281474899.158:23998): avc:  denied  { read } for  pid=4227 comm="swat" name="nmbd.pid" dev=dm-0 ino=5311 scontext=unconfined_u:system_r:swat_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nmbd_var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1281474899.158:23998): arch=40000003 syscall=5 success=no exit=-13 a0=29d6c20 a1=8800 a2=0 a3=c68106 items=0 ppid=3831 pid=4227 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="swat" exe="/usr/sbin/swat" subj=unconfined_u:system_r:swat_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,swat,swat_t,nmbd_var_run_t,file,read
audit2allow suggests:

#============= swat_t ==============
allow swat_t nmbd_var_run_t:file read;
Comment 1 Miroslav Grepl 2010-08-12 07:10:38 EDT
Will add

allow swat_t nmbd_var_run_t:file read_file_perms;
Comment 2 Miroslav Grepl 2010-08-13 01:48:08 EDT
Fixed in selinux-policy-3.7.19-47.fc13
Comment 3 Fedora Update System 2010-08-13 10:18:57 EDT
selinux-policy-3.7.19-47.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 4 Fedora Update System 2010-08-13 17:07:24 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 5 Fedora Update System 2010-08-17 01:38:11 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.